<?php
/**
 * @package Modern WP Themes
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        
         <div class="post-summary-wrapper">

    <?php if ( has_post_thumbnail() ) : ?>
	
		<div class="featured-img">
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail('thumb-full'); ?>
			</a>
		</div>	
        
     		<header class="entry-header">
				<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<?php if ( 'post' == get_post_type() ) : ?>
						<div class="entry-meta">
							<?php modernwpthemes_posted_on(); ?>
						</div><!-- .entry-meta -->
					<?php endif; ?>
			</header><!-- .entry-header -->
   	
			<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->

	<?php else : ?>
    
     		<header class="entry-header">
				<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<?php if ( 'post' == get_post_type() ) : ?>
						<div class="entry-meta">
							<?php modernwpthemes_posted_on(); ?>
						</div><!-- .entry-meta -->
					<?php endif; ?>
			</header><!-- .entry-header -->
   	
			<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
	
		<?php endif; ?>

	<footer class="entry-footer">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'modernwpthemes' ) );
				if ( $categories_list && modernwpthemes_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( '%1$s', 'modernwpthemes' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'modernwpthemes' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php printf( __( '%1$s', 'modernwpthemes' ), $tags_list ); ?>
			</span>
            
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>

		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'modernwpthemes' ), __( '1 Comment', 'modernwpthemes' ), __( '% Comments', 'modernwpthemes' ) ); ?></span>
		<?php endif; ?>

		<?php edit_post_link( __( 'Edit', 'modernwpthemes' ), '<span class="edit-link">', '</span>' ); ?>
        
	</footer><!-- .entry-footer -->

    	</div> <!-- .post-summary-wrapper -->
        
</article><!-- #post-## -->
