<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Modern WP Themes
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">

	<header id="masthead" class="site-header" role="banner">
    
    <div class="header-top-bar">
      <div class="container">	
        <?php modernwpthemes_social_links() ; ?>
      </div>  
    </div>
    
      <div class="header-inner">
      	<div class="container">	
			<div class="site-branding col-lg-3 col-md-3 col-sm-12">
        <?php if ( ot_get_option('custom_logo') == '' ): ?>
			<h1 class="site-title">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
            </h1>
       <?php else : ?>   
      
       <?php if ( ot_get_option( 'custom_logo' ) ) { ?>
       <h1 class="site-title">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php echo esc_url( ot_get_option( 'custom_logo' ) ); ?>" /></a> </h1>
       <?php } ?>
       <?php endif; ?>
       
       <?php if ( ot_get_option('site_description')=='' ): ?>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
       <?php endif; ?>     
		</div>
        
	        <div class="header-navigation col-lg-9 col-md-9 col-sm-12">
        	<nav id="site-navigation" class="main-navigation" role="navigation">
				<?php wp_nav_menu( array('container_class' => 'clearfix sf-menu', 'theme_location' => 'primary' ) ); ?>
			</nav><!-- #site-navigation -->
        </div>
        </div>
	  </div>
      
       <div class="breadcrumbs-wrapper raw">
      	<div class="container">
             <div class="breadcrumbs"><?php modernwpthemes_breadcrumbs(); ?></div>
        </div>
      </div>

	</header><!-- #masthead -->

	<div id="content" class="site-content container">
