<?php
/* ------------------------------------------------------------------------- *
 *  Dynamic styles
/* ------------------------------------------------------------------------- */

/*  Convert hexadecimal to rgb
/* ------------------------------------ */
if ( ! function_exists( 'hex2rgb' ) ) {

	function hex2rgb( $hex, $array=false ) {
		$hex = str_replace("#", "", $hex);

		if ( strlen($hex) == 3 ) {
			$r = hexdec(substr($hex,0,1).substr($hex,0,1));
			$g = hexdec(substr($hex,1,1).substr($hex,1,1));
			$b = hexdec(substr($hex,2,1).substr($hex,2,1));
		} else {
			$r = hexdec(substr($hex,0,2));
			$g = hexdec(substr($hex,2,2));
			$b = hexdec(substr($hex,4,2));
		}

		$rgb = array( $r, $g, $b );
		if ( !$array ) { $rgb = implode(",", $rgb); }
		return $rgb;
	}
	
}	



/*  Dynamic css output
/* ------------------------------------ */
if ( !function_exists( 'dynamic_css' ) ) {

	function dynamic_css() {
		if ( ot_get_option('dynamic_styles') ) {
			
			// rgb values
			$header_color = ot_get_option('header_color');
			$header_color_rgb = hex2rgb($header_color);

			
			// start output
			$styles = '<style type="text/css">'."\n";
				
			// header logo font color
			if ( ot_get_option('logo_font_color') != '' ) {
				$styles .= '.site-title a { color:'.ot_get_option('logo_font_color').'; }'."\n";
			}	

     		// site description font color
			if ( ot_get_option('site_description_font_color') != '' ) {
				$styles .= '.site-description { color:'.ot_get_option('site_description_font_color').'; }'."\n";
			}	

     		// site description font color
			if ( ot_get_option('primary_color') != '' ) {
				$styles .= '
				.main-navigation .sf-menu li a:hover, .main-navigation .sf-menu li.sfHover > a, .main-navigation .sf-menu li.current_page_item > a, .main-navigation .sf-menu li.current-menu-item > a, .main-navigation .sf-menu li.current-menu-parent > a, .main-navigation .sf-menu li.current-page-parent > a, .main-navigation .sf-menu li.current-page-ancestor > a, .main-navigation .sf-menu li.current_page_ancestor > a, .main-navigation .sf-menu li.current-menu-ancestor > a, .main-navigation .sf-menu li:hover li a:hover, .main-navigation .sf-menu li.sfHover li a:hover, .widget_modernwpthemes_tabs .widget-tab-nav li.active a, .format-standard .featured-img a:after, .format-standard .featured-img a:hover:after, .format-aside .featured-img a:after, .format-aside .featured-img a:hover:after, .format-image .featured-img a:after, .format-image .featured-img a:hover:after, .readmore-button a:hover, .format-video .featured-img a:after, .format-video .featured-img a:hover:after, .format-quote .featured-img a:after, .format-quote .featured-img a:hover:after, .format-link .featured-img a:after, .format-link .featured-img a:hover:after, button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, #back-top a:hover, #reply-title:before, .main-navigation .sf-menu li li a:hover, .main-navigation .sf-menu li li.sfHover > a, .main-navigation .sf-menu li li.current_page_item > a, .main-navigation .sf-menu li li.current-menu-item > a, .main-navigation .sf-menu li li.current-menu-parent > a, .main-navigation .sf-menu li li.current-page-parent > a, .main-navigation .sf-menu li li.current-page-ancestor > a, .main-navigation .sf-menu li li.current_page_ancestor > a, .main-navigation .sf-menu li li.current-menu-ancestor > a, .mean-container a.meanmenu-reveal span, .mean-container .mean-nav ul li a:hover, .mean-container .mean-nav ul li a.mean-expand:hover{ background:'.ot_get_option('primary_color').'; }
				
				a, .social-links .social-tooltip:hover, .widget-title span:before, .widget-title span:after, .widget_modernwpthemes_social_icons li a [class^="fa-"]:before, #secondary .widget a:hover, .widget li, .format-standard .featured-img a:hover:before, .format-aside .featured-img a:hover:before, .format-image .featured-img a:hover:before, .format-video .featured-img a:hover:before, .format-quote .featured-img a:hover:before, .format-link .featured-img a:hover:before, .entry-header a:hover, .entry-title a:hover, .entry-header .posted-on:before, .entry-header .byline:before, .entry-header .posted-on:after, .readmore-button a, .entry-footer .cat-links:before, .entry-footer a:hover, .entry-footer .cat-links:after, .entry-footer .tags-links:before, .entry-footer .tags-links:after, .entry-footer .comments-link:before, .entry-footer .comments-link:after, .entry-footer .edit-link:before, .entry-footer .permalink:before, button, input[type="button"], input[type="reset"], input[type="submit"], .footer-inner a:hover, .site-footer a:hover,#back-top a:before, .post-navigation .screen-reader-text span:before, .post-navigation .screen-reader-text span:after, .post-navigation .nav-previous a:hover, .site-title a, .page-title:before, .page-title:after, .mean-container a.meanmenu-reveal, .mean-container .mean-nav ul li a{ color:'.ot_get_option('primary_color').'; }
				
				.readmore-button a, button, input[type="button"], input[type="reset"], input[type="submit"], button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .mean-container a.meanmenu-reveal{ border:1px solid'.ot_get_option('primary_color').'; }
	
	.main-navigation .sf-menu li:hover ul, .main-navigation .sf-menu li.sfHover ul{ border-top:1px solid'.ot_get_option('primary_color').'; }
	.main-navigation .sf-menu li:hover ul, .main-navigation .sf-menu li.sfHover ul, .widget_modernwpthemes_tabs .widget-tab-nav{ border-bottom:1px solid'.ot_get_option('primary_color').'; }
	
	.wp-pagenavi a:hover, .wp-pagenavi span.current{ background:'.ot_get_option('primary_color').'!important; }
	.wp-pagenavi a, .wp-pagenavi span{ color:'.ot_get_option('primary_color').'!important; }

				'."\n";
			}	
			
			// Header top bar color
			if ( ot_get_option('header_topbar_background') != '' ) {
				$styles .= '.header-top-bar { background:'.ot_get_option('header_topbar_background').'; }'."\n";
			}	

		    // Header color
			if ( ot_get_option('header_background') != '' ) {
				$styles .= '.header-inner { background:'.ot_get_option('header_background').'; }'."\n";
			}	
			
		    // Header color
			if ( ot_get_option('footer_widget_background') != '' ) {
				$styles .= '.footer-inner { background:'.ot_get_option('footer_widget_background').'; }'."\n";
			}
				
		    // Header color
			if ( ot_get_option('footer_background') != '' ) {
				$styles .= '.site-footer { background:'.ot_get_option('footer_background').'; }'."\n";
			}	


				
			$styles .= '</style>'."\n";
			// end output
			
			echo $styles;		
		}
	}
	
}
add_action( 'wp_head', 'dynamic_css', 100 );
