<?php
// Query featured entries
$featured = new WP_Query(
	array(
		'no_found_rows'				=> FALSE,
		'update_post_meta_cache'	=> FALSE,
		'update_post_term_cache'	=> FALSE,
		'ignore_sticky_posts'		=> 1,
		'posts_per_page'			=> ot_get_option('featured-posts-count'),
		'cat'						=> ot_get_option('featured-category')
	)
);
?>

	
	<script type="text/javascript">
		// Check if first slider image is loaded, and load flexslider on document ready
		jQuery(document).ready(function(){
		 var firstImage = jQuery('#flexslider-featured').find('img').filter(':first'),
			checkforloaded = setInterval(function() {
				var image = firstImage.get(0);
				if (image.complete || image.readyState == 'complete' || image.readyState == 4) {
					clearInterval(checkforloaded);
					jQuery('#flexslider-featured').flexslider({
						animation: "slide",
						useCSS: false, // Fix iPad flickering issue
						slideshow: true,
						directionNav: true,
						controlNav: true,
						pauseOnHover: true,
						slideshowSpeed: 7000,
						animationSpeed: 400,
						smoothHeight: true,
						touch: false
					});
				}
			}, 20);
		});
	</script>
		
	<div class="flexslider featured" id="flexslider-featured">
		<ul class="slides">				
			<?php while ( $featured->have_posts() ): $featured->the_post(); ?>
			<li class="post-hover">
				<div class="post-thumbnail">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
						<?php if ( has_post_thumbnail() ): ?>
							<?php the_post_thumbnail('thumb-full'); ?>
						<?php else: ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/featured-slider.jpg" alt="<?php the_title(); ?>" />
						<?php endif; ?>
					</a>
				</div><!--/.post-thumbnail-->
				
                <div class="flexislider-content-wrapper">
                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
				<h1 class="entry-title">
					<?php the_title(); ?>
				</h1><!--/.post-title-->
				
				<?php if (ot_get_option('excerpt-length') != '0'): ?>
				<div class="entry excerpt">				
					<?php the_excerpt(); ?>
				</div><!--/.entry-->
                </a>
                </div>
                
				<?php endif; ?>

			</li>
			<?php endwhile; ?>			
		</ul>
	</div><!--/.flexslider-->
	
