<?php
/**
 * The Template for displaying all single posts.
 *
 * @package Modern WP Themes
 */

get_header(); ?>

	<div id="primary" class="content-area col-sm-12 col-md-8 <?php echo ot_get_option( 'sidebar-positions' ); ?>">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>
        
         <?php if ( has_post_thumbnail() ) : ?>

        	<div class="featured-img">
					<?php the_post_thumbnail( 'thumb-full' ); ?>
			</div>
            
      	<?php endif; ?>


			<?php get_template_part( 'content', 'single' ); ?>

			<?php modernwpthemes_post_nav(); ?>
            
            <div class="post-inner-content secondary-content-box">
	        <!-- author bio -->
	        <div class="author-bio content-box-inner">

	          <!-- avatar -->
	          <div class="avatar">
	              <?php echo get_avatar(get_the_author_meta('ID') , '60'); ?>
	          </div>
	          <!-- end avatar -->

	          <!-- user bio -->
	          <div class="author-bio-content">

	            <h4 class="author-name"><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author_meta('display_name'); ?></a></h4>
	            <p class="author-description">
	                <?php echo get_the_author_meta('description'); ?>
	            </p>

	          </div>
	          <!-- end author bio -->

	        </div>
	        <!-- end author bio -->
			</div>

			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || '0' != get_comments_number() ) :
					comments_template();
				endif;
			?>

		<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>